package com.pj.api.dto;


import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 07 26 11 48
 **/

public class AppUserDto {

    // ---------- 表中字段 ----------
    /**
     * 主键
     */
    private Long id;

    /**
     * 手机号码
     */
    private String phone;

    /**
     * 姓名
     */
    private String name;
    private String faceId;
    /**
     * 创建单位
     */
    private String createUnit;

    public AppUserDto(Long id, String phone, String name, String createUnit, Integer userType, Long fkId, String status, String auth, String authTime, Long loginCount, String lastLoginTime, Date createTime, String updateById, String updateByName, Date updateTime, Integer deleteStatus, String password) {
        this.id = id;
        this.phone = phone;
        this.name = name;
        this.createUnit = createUnit;
        this.userType = userType;
        this.fkId = fkId;
        this.status = status;
        this.auth = auth;
        this.authTime = authTime;
        this.loginCount = loginCount;
        this.lastLoginTime = lastLoginTime;
        this.createTime = createTime;
        this.updateById = updateById;
        this.updateByName = updateByName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.password = password;
    }

    public String getCreateUnit() {
        return createUnit;
    }

    public void setCreateUnit(String createUnit) {
        this.createUnit = createUnit;
    }

    /**
     * 类型(1=边民,2=组长,3=商户,4=收购商,5=司机)
     */
    private Integer userType;

    /**
     * 外联id,user_type=1=>边民ID；user_type=3=>商户ID
     */
    private Long fkId;

    /**
     * 状态(0=禁用,1=启用)
     */
    private String status;

    /**
     * 是否认证(0=未认证,1=已认证)
     */
    private String auth;

    /**
     * 人证时间
     */
    private String authTime;

    /**
     * 登录次数
     */
    private Long loginCount;

    /**
     * 上次登录时间
     */
    private String lastLoginTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者id
     */
    private String updateById;

    /**
     * 更新者名称
     */
    private String updateByName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 逻辑删除
     */
    private Integer deleteStatus;

    /**
     * 密码
     */
    private String password;


    public AppUserDto() {
    }

    public AppUserDto(Long id, String phone, String name, Integer userType, Long fkId, String status, String auth, String authTime, Long loginCount, String lastLoginTime, Date createTime, String updateById, String updateByName, Date updateTime, Integer deleteStatus, String password) {
        this.id = id;
        this.phone = phone;
        this.name = name;
        this.userType = userType;
        this.fkId = fkId;
        this.status = status;
        this.auth = auth;
        this.authTime = authTime;
        this.loginCount = loginCount;
        this.lastLoginTime = lastLoginTime;
        this.createTime = createTime;
        this.updateById = updateById;
        this.updateByName = updateByName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.password = password;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Long getFkId() {
        return fkId;
    }

    public void setFkId(Long fkId) {
        this.fkId = fkId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAuth() {
        return auth;
    }

    public void setAuth(String auth) {
        this.auth = auth;
    }

    public String getAuthTime() {
        return authTime;
    }

    public void setAuthTime(String authTime) {
        this.authTime = authTime;
    }

    public Long getLoginCount() {
        return loginCount;
    }

    public void setLoginCount(Long loginCount) {
        this.loginCount = loginCount;
    }

    public String getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(String lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateById() {
        return updateById;
    }

    public void setUpdateById(String updateById) {
        this.updateById = updateById;
    }

    public String getUpdateByName() {
        return updateByName;
    }

    public void setUpdateByName(String updateByName) {
        this.updateByName = updateByName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getFaceId() {
        return faceId;
    }

    public void setFaceId(String faceId) {
        this.faceId = faceId;
    }
}
